*-------------------------------------------------------------------------*
*                                                                          
*                     SPSS SETUP FILE FOR ICPSR 03393
*                DRUG SERVICES RESEARCH SURVEY (DSRS), 1990
*            (DATASET 0002: PHASE II - ADMINISTRATOR INTERVIEW)
* 
*
*  SPSS setup sections are provided for the ASCII version of this data
*  collection.  These sections are listed below:
*
*  DATA LIST:  assigns the name, type, decimal specification (if any),
*  and specifies the beginning and ending column locations for each
*  variable in the data file. Users must replace the "data-filename"
*  in the DATA LIST statement with a filename specifying the directory
*  on the user's computer system in which the downloaded and unzipped
*  data file is physically located (e.g., "c:\temp\03393-0002-data.txt").
*
*  VARIABLE LABELS:  assigns descriptive labels to all variables.
*  Labels and variable names may be identical for some data files.
*
*  MISSING VALUES: declares user-defined missing values. Not all
*  variables in this data set necessarily have user-defined missing
*  values. These values can be treated specially in data transformations,
*  statistical calculations, and case selection.
*
*  VALUE LABELS: assigns descriptive labels to codes found in the data
*  file.  Not all codes necessarily have assigned value labels.
*
*  NOTE:  Users should modify this setup file to suit their specific 
*  needs. The MISSING VALUES section has been commented out (i.e., '*').
*  To include the MISSING VALUES section in the final SPSS setup, remove 
*  the comment indicators from the desired section.
*
*  CREATING A PERMANENT SPSS DATA FILE: If users wish to create and save
*  an SPSS data file for further analysis using SPSS for Windows, the
*  necessary "SAVE OUTFILE" command is provided in the last line of
*  this file.  To activate the command, users must delete the leading
*  asterisk (*) and replace "spss-filename" with a filename specifying
*  the location on the user's computer system to which the new data file
*  will be saved (e.g., SAVE OUTFILE="c:\spsswin\data\da03393-0002.sav").
*
*-------------------------------------------------------------------------.

* SPSS FILE HANDLE AND DATA LIST COMMANDS.

FILE HANDLE DATA / NAME="data-filename" LRECL=444.
DATA LIST FILE=DATA /
              CASEID 1-3             OBS_NUM 4-6                Q1_COR 7
                    Q2 8             Q3_SEP 9-10            Q4_DIF 11-12
           Q5_DRUG 13-14            Q5_ALC 15-16            Q6_COR 17-18
               Q6A 19-21            Q7_COR 22-23               Q7A 24-26
                Q8 27-29                Q9 30-31             Q10A_HDD 32
          Q10B_HDD 33-34          Q10C_HDD 35-36             Q10A_HDF 37
          Q10B_HDF 38-39          Q10C_HDF 40-41          Q10A_RDD 42-43
          Q10B_RDD 44-45          Q10C_RDD 46-47             Q10A_RDF 48
          Q10B_RDF 49-50          Q10C_RDF 51-52             Q10A_ODD 53
          Q10B_ODD 54-55          Q10C_ODD 56-57             Q10A_ODM 58
          Q10B_ODM 59-60          Q10C_ODM 61-63          Q10A_ODF 64-65
          Q10B_ODF 66-67          Q10C_ODF 68-69           Q11_HDD 70-71
           Q11_HDF 72-73           Q11_RDD 74-75           Q11_RDF 76-77
           Q11_ODD 78-79           Q11_ODM 80-81           Q11_ODF 82-83
                 Q12A 84                 Q12B 85                 Q12C 86
                 Q12D 87                 Q13A 88          Q13A_TNS 89-90
              Q13B 91-92          Q13B_PRG 93-94              Q13C 95-96
          Q13C_IVD 97-98             Q13D 99-100        Q13D_DDC 101-102
            Q13E 103-104                Q14A 105                Q14B 106
                Q14C 107        Q15_CERT 108-109            Q15A 110-111
            Q16_COMP 112            Q17A 113-114            Q17B 115-116
            Q17C 117-118            Q17D 119-120             Q18_OWN 121
                Q19A 122            Q19B 123-124                Q19C 125
            Q19D 126-127            Q19E 128-129            Q19F 130-131
                Q20A 132            Q20B 133-134            Q20C 135-136
            Q21_OTHU 137            Q22_MULT 138          Q23A_1 139-140
          Q23A_2 141-142          Q23A_3 143-144          Q23A_4 145-146
          Q23A_5 147-148          Q23B_1 149-150          Q23B_2 151-152
          Q23B_3 153-154          Q23B_4 155-156          Q23B_5 157-158
          Q23C_1 159-160          Q23C_2 161-162          Q23C_3 163-164
             CORRFAC 165            ALCHONLY 166             STRATUM 167
              REGION 168             QA1 169-170            QA1A 171-172
             QA2 173-174             QA3 175-176            QA3A 177-178
             QA4 179-180            QA4A 181-182             QA5 183-184
            QA5A 185-186             QA6 187-188            QA6A 189-190
             QB1 191-192            QB1A 193-194        REP_STRA 195-196
       VWGHT 197-204 (5)        VWT1 205-212 (5)        VWT2 213-220 (5)
        VWT3 221-228 (5)        VWT4 229-236 (5)        VWT5 237-244 (5)
        VWT6 245-252 (5)        VWT7 253-260 (5)        VWT8 261-268 (5)
        VWT9 269-276 (5)       VWT10 277-284 (5)       VWT11 285-292 (5)
       VWT12 293-300 (5)       VWT13 301-308 (5)       VWT14 309-316 (5)
       VWT15 317-324 (5)       VWT16 325-332 (5)       VWT17 333-340 (5)
       VWT18 341-348 (5)       VWT19 349-356 (5)       VWT20 357-364 (5)
       VWT21 365-372 (5)       VWT22 373-380 (5)       VWT23 381-388 (5)
       VWT24 389-396 (5)       VWT25 397-404 (5)       VWT26 405-412 (5)
       VWT27 413-420 (5)       VWT28 421-428 (5)       VWT29 429-436 (5)
       VWT30 437-444 (5)
   .

* SPSS VARIABLE LABELS COMMAND.

VARIABLE LABELS
   CASEID    'CASE IDENTIFICATION NUMBER' /
   OBS_NUM   'OBSERVATION NUMBER' /
   Q1_COR    '1. IS UNIT NAME FROM SURVEY CORRECT?' /
   Q2        '2. DRUG/ALCOHOL CLIENTS TREATED?' /
   Q3_SEP    '3. DRUG & ALCOHOL CLIENTS SEPERATED?' /
   Q4_DIF    '4. DIFFERENT TREATMENT DRUG/ALCOHOL ?' /
   Q5_DRUG   '5. DESCRIBE DRUG PROTOCOL:' /
   Q5_ALC    '5. DESCRIBE ALCOHOL PROTOCOL:' /
   Q6_COR    '6. TOTAL CAPACITY CORRECT:' /
   Q6A       '6A. TOTAL CAPACITY ON MARCH 30 WAS:' /
   Q7_COR    '7. # OF CLIENTS IN TREATMENT CORRECT?' /
   Q7A       '8. ACTUAL # OF CLIENTS ON MARCH 30:' /
   Q8        '8. # OF CLIENTS IN TREATMENT TODAY:' /
   Q9        '9. CLIENTS ON MAR 30 COMPARED TO TODAY:' /
   Q10A_HDD  '10A. DOES UNIT OFFER HIDD TREATMENT?' /
   Q10B_HDD  '10B. WAITING LIST POLICY FOR HIDD?' /
   Q10C_HDD  '10C. # OF CLIENTS - HIDD WAITING LIST:' /
   Q10A_HDF  '10A. DOES UNIT OFFER HIDF TREATMENT?' /
   Q10B_HDF  '10B. WAITING LIST POLICY FOR HIDF?' /
   Q10C_HDF  '10C. # OF CLIENTS - HIDF WAITING LIST:' /
   Q10A_RDD  '10A. DOES UNIT OFFER RDD TREATMENT?' /
   Q10B_RDD  '10B. WAITING LIST POLICY FOR RDD?' /
   Q10C_RDD  '10C. # OF CLIENTS - RDD WAITING LIST:' /
   Q10A_RDF  '10A. DOES UNIT OFFER RDF TREATMENT?' /
   Q10B_RDF  '10B. WAITING LIST POLICY FOR RDF?' /
   Q10C_RDF  '10C. # OF CLIENTS - RDF WAITING LIST:' /
   Q10A_ODD  '10A. DOES UNIT OFFER OPDD TREATMENT?' /
   Q10B_ODD  '10B. WAITING LIST POLICY FOR OPDD?' /
   Q10C_ODD  '10C. # OF CLIENTS - OPDD WAITING LIST:' /
   Q10A_ODM  '10A. DOES UNIT OFFER OPDM TREATMENT?' /
   Q10B_ODM  '10B. WAITING LIST POLICY FOR OPDM?' /
   Q10C_ODM  '10C. # OF CLIENTS - OPDM WAITING LIST:' /
   Q10A_ODF  '10A. DOES UNIT OFFER OPDF TREATMENT?' /
   Q10B_ODF  '10B. WAITING LIST POLICY FOR OPDF?' /
   Q10C_ODF  '10C. # OF CLIENTS - OPDF WAITING LIST:' /
   Q11_HDD   '11. HIDD WAITING LIST POLICY DESCRIBED:' /
   Q11_HDF   '11. HIDF WAITING LIST POLICY DESCRIBED:' /
   Q11_RDD   '11. RDD WAITING LIST POLICY DESCRIBED:' /
   Q11_RDF   '11. RDF WAITING LIST POLICY DESCRIBED:' /
   Q11_ODD   '11. OPDD WAITING LIST POLICY DESCRIBED:' /
   Q11_ODM   '11. OPDM WAITING LIST POLICY DESCRIBED:' /
   Q11_ODF   '11. OPDF WAITING LIST POLICY DESCRIBED:' /
   Q12A      '12A. OFFER SPECIAL PROGRAMS TO BLACKS?' /
   Q12B      '12B. OFFER SPECIAL PROGS TO HISPANICS?' /
   Q12C      '12C. OFFER SPECIAL PROGS TO NATIVE AM?' /
   Q12D      '12D. OFFER SPECIAL PROGRAMS TO OTHERS?' /
   Q13A      '13A. OFFER TREATMENT TO TEENS?' /
   Q13A_TNS  '13A. OFFER PROGRAMS TO TEENS?' /
   Q13B      '13B. OFFER TREATMENT TO PREGNANT WOMEN?' /
   Q13B_PRG  '13B. OFFER PROGRAMS TO PREGNANT WOMEN?' /
   Q13C      '13C. OFFER TREATMENT TO IV DRUG USERS?' /
   Q13C_IVD  '13C. OFFER PROGRAMS TO IV DRUG USERS?' /
   Q13D      '13D. OFFER TREATMENT TO DUAL DX CLIENT?' /
   Q13D_DDC  'O13D. OFFER PROGRAM TO DUAL DX CLIENTS?' /
   Q13E      '13E. OFFER TREATMENT TO PEOPLE W/AIDS?' /
   Q14A      '14A. OFFER PROGRAMS TO COCAINE USERS?' /
   Q14B      '14B. OFFER PROGRAMS TO CRACK USERS?' /
   Q14C      '14C. OFFER PROGRAMS TO POLYDRUG USERS?' /
   Q15_CERT  '15. DRUG COUNSELOR CERTIFICATION:' /
   Q15A      '15A. DESCRIBE SPECIAL CERTIFICATION:' /
   Q16_COMP  '16. COMPUTERIZED SYSTEM FOR RECORDS:' /
   Q17A      '17A. INFO IN COMPUTER - DEMOGRAPHIC?' /
   Q17B      '17B. INFO IN COMPUTER - TREATMENT?' /
   Q17C      '17C. INFO IN COMPUTER - LAB RESULTS?' /
   Q17D      '17D. INFO IN COMPUTER - BILLING?' /
   Q18_OWN   '18. IS THE SERVICE UNIT PRIMARILY:' /
   Q19A      '19A. UNIT LICENSED BY STATE AGENCY?' /
   Q19B      '19B. UNIT LICENSED BY COUNTY AGENCY?' /
   Q19C      '19C. UNIT LICENSED BY CITY AGENCY?' /
   Q19D      '19D. UNIT LICENSED BY FDA?' /
   Q19E      '19E. UNIT LICENSED BY DEA?' /
   Q19F      '19F. LICENSED BY OTHER ORGANIZATION?' /
   Q20A      '20A. UNIT ACCREDITED BY JCAHO?' /
   Q20B      '20B. UNIT ACCREDITED BY CARF?' /
   Q20C      '20C. UNIT ACCREDITED BY OTHER?' /
   Q21_OTHU  '21. OTHER DRUG/ALC UNIT AT ADDRESS?' /
   Q22_MULT  '22. MULTI-SITE DRUG/ALC FACILITY?' /
   Q23A_1    '23A. AN ORGANIZATION CHART PROVIDED:' /
   Q23A_2    '23A. STAFF LIST W/TITLE & DEGREES:' /
   Q23A_3    '23A. PROGRAM DESCRIPTION PROVIDED:' /
   Q23A_4    '23A. METHADONE TREATMENT PLAN PROVIDED:' /
   Q23A_5    '23A. TABLE OF CONTENTS FOR MANUALS:' /
   Q23B_1    '23B. ADMISSION CRITERIA PROVIDED:' /
   Q23B_2    '23B. WAITING LIST POLICY PROVIDED:' /
   Q23B_3    '23B. FEE SCHEDULES PROVIDED:' /
   Q23B_4    '23B. EXAMPLE OF CLIENT BILL PROVIDED:' /
   Q23B_5    '23B. ANNUAL BUDGET PROVIDED:' /
   Q23C_1    '23C. BLANK FORMS PROVIDED:' /
   Q23C_2    '23C. ROUTINE REPORT FROM MIS SYSTEM:' /
   Q23C_3    '23C. ANNUAL REPORT PROVIDED:' /
   CORRFAC   'CORRECTIONAL FACILITY' /
   ALCHONLY  'ALCOHOL ONLY FACILITY' /
   STRATUM   'STRATUM - SAMPLING FRAME' /
   REGION    'REGION - CENSUS REGION' /
   QA1       'A1. DISCHARGE CLIENTS - 9/1/89-8/31/90:' /
   QA1A      'A1A. CAN THESE CLIENTS BE ADDED?' /
   QA2       'A2. CLIENTS DISCHARGED MORE THAN ONCE:' /
   QA3       'A3. CLIENTS WHO DIED IN TREATMENT:' /
   QA3A      'A3A. CAN THESE CLIENTS BE ADDED?' /
   QA4       'A4. CLIENTS DID NOT COMPLETE TREATMENT:' /
   QA4A      'A4A. CAN THESE CLIENTS BE ADDED?' /
   QA5       'A5. CLIENTS ADMIT/DISCHARGE SAME DAY:' /
   QA5A      'A5A. IDENTIFY & EXCLUDED?' /
   QA6       'A6.  CLIENTS ADMIT/DISCH W/O TREATMENT:' /
   QA6A      'A6A. IDENTIFY & EXCLUDED?' /
   QB1       'B1. DISCHARGE DATE REFER TO UNIT?' /
   QB1A      'B1A. IDENTIFY AND EXCLUDED?' /
   REP_STRA  'REPLICATE GROUP' /
   VWGHT     'FIN NONRESPONS ADJUSTED VISITATION WGT' /
   VWT1      'REPLICATE WEIGHT 1' /
   VWT2      'REPLICATE WEIGHT 2' /
   VWT3      'REPLICATE WEIGHT 3' /
   VWT4      'REPLICATE WEIGHT 4' /
   VWT5      'REPLICATE WEIGHT 5' /
   VWT6      'REPLICATE WEIGHT 6' /
   VWT7      'REPLICATE WEIGHT 7' /
   VWT8      'REPLICATE WEIGHT 8' /
   VWT9      'REPLICATE WEIGHT 9' /
   VWT10     'REPLICATE WEIGHT 10' /
   VWT11     'REPLICATE WEIGHT 11' /
   VWT12     'REPLICATE WEIGHT 12' /
   VWT13     'REPLICATE WEIGHT 13' /
   VWT14     'REPLICATE WEIGHT 14' /
   VWT15     'REPLICATE WEIGHT 15' /
   VWT16     'REPLICATE WEIGHT 16' /
   VWT17     'REPLICATE WEIGHT 17' /
   VWT18     'REPLICATE WEIGHT 18' /
   VWT19     'REPLICATE WEIGHT 19' /
   VWT20     'REPLICATE WEIGHT 20' /
   VWT21     'REPLICATE WEIGHT 21' /
   VWT22     'REPLICATE WEIGHT 22' /
   VWT23     'REPLICATE WEIGHT 23' /
   VWT24     'REPLICATE WEIGHT 24' /
   VWT25     'REPLICATE WEIGHT 25' /
   VWT26     'REPLICATE WEIGHT 26' /
   VWT27     'REPLICATE WEIGHT 27' /
   VWT28     'REPLICATE WEIGHT 28' /
   VWT29     'REPLICATE WEIGHT 29' /
   VWT30     'REPLICATE WEIGHT 30' /
   .


* SPSS VALUE LABELS COMMAND.

VALUE LABELS
   Q1_COR    -9 'NOT ASCERTAINED' 1 'YES' 2 'NO' /
   Q2        -9 'NOT ASCERTAINED' 1 'DRUG ONLY' 2 'ALCOHOL ONLY'
             3 'BOTH DRUG AND ALCOHOL' /
   Q3_SEP    -9 'NOT ASCERTAINED'
             -5 'INAP - SRV UNIT DOES NOT TX BOTH DRUG AND ALCOHOL CLIENTS'
             1 'YES' 2 'NO' /
   Q4_DIF    -9 'NOT ASCERTAINED'
             -5 'INAP - SRV UNIT DOES NOT TX BOTH DRUG AND ALCOHOL CLIENTS'
             1 'YES' 2 'NO' /
   Q5_DRUG   -9 'NOT ASCERTAINED'
             -5 'INAP - BOTH DRUG & ALC CLIENTS NOT TX OR NOT SEPARATED'
             1 'DRUG PROTOCOL DESCRIBED' /
   Q5_ALC    -9 'NOT ASCERTAINED'
             -5 'INAP - BOTH DRUG & ALC CLIENTS NOT TX OR NOT SEPARATED'
             1 'ALCOHOL PROTOCOL DESCRIBED' /
   Q6_COR    -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q6A       -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAP - FIGURE FROM TELEPHONE INT IS CORRECT' /
   Q7_COR    -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q7A       -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAP - FIGURE FROM TELEPHONE INT IS CORRECT' 0 'NONE' /
   Q8        -9 'NOT ASCERTAINED' -8 'DON''T KNOW' /
   Q9        -9 'NOT ASCERTAINED - MISSING' -8 'DON''T KNOW' 1 'MORE'
             2 'LESS' 3 'ABOUT THE SAME' /
   Q10A_HDD  -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q10B_HDD  -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAP - SRV UNIT DID NOT PROVIDE HDD' 1 'YES' 2 'NO' /
   Q10C_HDD  -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAP - SRV UNIT DID NOT PROVIDE HDD' /
   Q10A_HDF  -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q10B_HDF  -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAP - SRV UNIT DID NOT PROVIDE HDF' 1 'YES' 2 'NO' /
   Q10C_HDF  -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAP - SRV UNIT DID NOT PROVIDE HDF' /
   Q10A_RDD  -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q10B_RDD  -9 'NOT ASCERTAINED' -5 'INAP - SRV UNIT DID NOT PROVIDE RDD'
             1 'YES' 2 'NO' /
   Q10C_RDD  -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAP - SRV UNIT DID NOT PROVIDE RDD' /
   Q10A_RDF  -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q10B_RDF  -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAP - SRV UNIT DID NOT PROVIDE RDF' 1 'YES' 2 'NO' /
   Q10C_RDF  -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAP - SRV UNIT DID NOT PROVIDE RDF' /
   Q10A_ODD  -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q10B_ODD  -9 'NOT ASCERTAINED' -5 'INAP - SRV UNIT DID NOT PROVIDE ODD'
             1 'YES' 2 'NO' /
   Q10C_ODD  -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAP - SRV UNIT DID NOT PROVIDE ODD' /
   Q10A_ODM  -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q10B_ODM  -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAP - SRV UNIT DID NOT PROVIDE ODM' 1 'YES' 2 'NO' /
   Q10C_ODM  -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAP - SRV UNIT DID NOT PROVIDE ODM' /
   Q10A_ODF  -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q10B_ODF  -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAP - SRV UNIT DID NOT PROVIDE ODF' 1 'YES' 2 'NO' /
   Q10C_ODF  -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAP - SRV UNIT DID NOT PROVIDE ODF' /
   Q11_HDD   -9 'NOT ASCERTAINED' -5 'INAP - SRV UNIT DID NOT PROVIDE HDD'
             0 'BOX NOT CHECKED, PRESUMED NO'
             1 'WAITING LIST POLICY DESCRIBED' /
   Q11_HDF   -9 'NOT ASCERTAINED' -5 'INAP - SRV UNIT DID NOT PROVIDE HDF'
             0 'BOX NOT CHECKED, PRESUMED NO'
             1 'WAITING LIST POLICY DESCRIBED' /
   Q11_RDD   -9 'NOT ASCERTAINED' -5 'INAP - SRV UNIT DID NOT PROVIDE RDD'
             0 'BOX NOT CHECKED, PRESUMED NO'
             1 'WAITING LIST POLICY DESCRIBED' /
   Q11_RDF   -9 'NOT ASCERTAINED' -5 'INAP - SRV UNIT DID NOT PROVIDE RDF'
             0 'BOX NOT CHECKED, PRESUMED NO'
             1 'WAITING LIST POLICY DESCRIBED' /
   Q11_ODD   -9 'NOT ASCERTAINED' -5 'INAP - SRV UNIT DID NOT PROVIDE ODD'
             0 'BOX NOT CHECKED, PRESUMED NO'
             1 'WAITING LIST POLICY DESCRIBED' /
   Q11_ODM   -9 'NOT ASCERTAINED' -5 'INAP - SRV UNIT DID NOT PROVIDE ODM'
             0 'BOX NOT CHECKED, PRESUMED NO'
             1 'WAITING LIST POLICY DESCRIBED' /
   Q11_ODF   -9 'NOT ASCERTAINED' -5 'INAP - SRV UNIT DID NOT PROVIDE ODF'
             0 'BOX NOT CHECKED, PRESUMED NO'
             1 'WAITING LIST POLICY DESCRIBED' /
   Q12A      -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q12B      -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q12C      -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q12D      -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES (SPECIFY)' 2 'NO' /
   Q13A      1 'YES' 2 'NO' /
   Q13A_TNS  -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAP - SRV UNIT DOES NOT TX TEENS' 1 'YES' 2 'NO' /
   Q13B      -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q13B_PRG  -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAP - SRV UNIT DOES NOT TX PREGNANT WOMEN' 1 'YES' 2 'NO' /
   Q13C      -9 'NOT ASCERTAINED' 1 'YES' 2 'NO' /
   Q13C_IVD  -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAP - SRV UNIT DOES NOT TX IV DRUG USERS' 1 'YES' 2 'NO' /
   Q13D      -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q13D_DDC  -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAP - SRV UNIT DOES NOT TX DUAL DX PXS' 1 'YES' 2 'NO' /
   Q13E      -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q14A      -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q14B      -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q14C      -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q15_CERT  -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q15A      -9 'NOT ASCERRTAINED'
             -5 'INAP - SRV UNIT DOES NOT HAVE COUNSELORS W/ SPECIAL CERTS'
             1 'DESCRIPTION OF SPECIAL CERTIFICATION GIVEN' /
   Q16_COMP  1 'YES' 2 'NO' /
   Q17A      -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAP - SRV UNIT DOES NOT HAVE COMPUTER RECORDS' 1 'YES'
             2 'NO' /
   Q17B      -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAP - SRV UNIT DOES NOT HAVE COMPUTER RECORDS' 1 'YES'
             2 'NO' /
   Q17C      -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAP - SRV UNIT DOES NOT HAVE COMPUTER RECORDS' 1 'YES'
             2 'NO' /
   Q17D      -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAP - SRV UNIT DOES NOT HAVE COMPUTER RECORDS' 1 'YES'
             2 'NO' /
   Q18_OWN   -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'PUBLICLY OWNED'
             2 'PRIVATELY OWNED, NON-PROFIT' 3 'PRIVATELY OWNED, FOR PROFIT'
             /
   Q19A      -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q19B      -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q19C      -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q19D      -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q19E      -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q19F      -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES (SPECIFY)' 2 'NO' /
   Q20A      -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q20B      -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q20C      -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES (SPECIFY)' 2 'NO' /
   Q21_OTHU  -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q22_MULT  -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   Q23A_1    -9 'NOT ASCERTAINED' -7 'REFUSED' 1 'GIVEN' 2 'DO NOT HAVE' /
   Q23A_2    -9 'NOT ASCERTAINED' -7 'REFUSED' 1 'GIVEN' 2 'DO NOT HAVE' /
   Q23A_3    -9 'NOT ASCERTAINED' -7 'REFUSED' 1 'GIVEN' 2 'DO NOT HAVE' /
   Q23A_4    -9 'NOT ASCERTAINED' -7 'REFUSED' 1 'GIVEN' 2 'DO NOT HAVE' /
   Q23A_5    -9 'NOT ASCERTAINED' -7 'REFUSED' 1 'GIVEN' 2 'DO NOT HAVE' /
   Q23B_1    -9 'NOT ASCERTAINED' -7 'REFUSED' 1 'GIVEN' 2 'DO NOT HAVE' /
   Q23B_2    -9 'NOT ASCERTAINED' -7 'REFUSED' 1 'GIVEN' 2 'DO NOT HAVE' /
   Q23B_3    -9 'NOT ASCERTAINED' -7 'REFUSED' 1 'GIVEN' 2 'DO NOT HAVE' /
   Q23B_4    -9 'NOT ASCERTAINED' -7 'REFUSED' 1 'GIVEN' 2 'DO NOT HAVE' /
   Q23B_5    -9 'NOT ASCERTAINED' -7 'REFUSED' 1 'GIVEN' 2 'DO NOT HAVE' /
   Q23C_1    -9 'NOT ASCERTAINED' -7 'REFUSED' 1 'GIVEN' 2 'DO NOT HAVE' /
   Q23C_2    -9 'NOT ASCERTAINED' -7 'REFUSED' 1 'GIVEN' 2 'DO NOT HAVE' /
   Q23C_3    -9 'NOT ASCERTAINED' -7 'REFUSED' 1 'GIVEN' 2 'DO NOT HAVE' /
   CORRFAC   0 'NO' 1 'YES' /
   ALCHONLY  0 'NO' 1 'YES' /
   STRATUM   1 'HOSPITAL IN-PATIENT DRUG TREATMENT'
             2 'RESIDENTIAL DRUG TREATMENT'
             3 'OUT-PATIENT DRUG DETOXIFICATION MAINTENANCE'
             4 'OUT-PATIENT DRUG-FREE TREATMENT' 5 'ALCOHOL TREATMENT ONLY'
             6 'UNKNOWN TREATMENT TYPE' /
   REGION    1 'NORTHEAST' 2 'NORTH CENTRAL' 3 'SOUTH' 4 'WEST' /
   QA1       -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   QA1A      -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAPPLICABLE - BLANK, CODED 1, 8 OR 9 IN QA1' 1 'YES' 2 'NO'
             /
   QA2       -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   QA3       -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   QA3A      -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAPPLICABLE - BLANK, CODED 1, 8 OR 9 IN QA3' 1 'YES' 2 'NO'
             /
   QA4       -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   QA4A      -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAPPLICABLE - BLANK, CODED 1, 8 OR 9 IN QA4' 1 'YES' 2 'NO'
             /
   QA5       -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   QA5A      -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAPPLICABLE - BLANK, CODED 2, 8 OR 9 IN QA5' 1 'YES' 2 'NO'
             /
   QA6       -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   QA6A      -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAPPLICABLE - BLANK, CODED 2, 8 OR 9 IN QA6A' 1 'YES'
             2 'NO' /
   QB1       -9 'NOT ASCERTAINED' -8 'DON''T KNOW' 1 'YES' 2 'NO' /
   QB1A      -9 'NOT ASCERTAINED' -8 'DON''T KNOW'
             -5 'INAPPLICABLE - BLANK, CODED 1, 8 OR 9 IN QB1' 1 'YES' 2 'NO'
             /
   .

* SPSS MISSING VALUES COMMAND.

* MISSING VALUES
     OBS_NUM
     Q1_COR
     Q2
     Q3_SEP
     Q4_DIF
     Q5_DRUG
     Q5_ALC
     Q6_COR
     Q6A
     Q7_COR
     Q7A
     Q8
     Q9
     Q10A_HDD
     Q10B_HDD
     Q10C_HDD
     Q10A_HDF
     Q10B_HDF
     Q10C_HDF
     Q10A_RDD
     Q10B_RDD
     Q10C_RDD
     Q10A_RDF
     Q10B_RDF
     Q10C_RDF
     Q10A_ODD
     Q10B_ODD
     Q10C_ODD
     Q10A_ODM
     Q10B_ODM
     Q10C_ODM
     Q10A_ODF
     Q10B_ODF
     Q10C_ODF
     Q11_HDD
     Q11_HDF
     Q11_RDD
     Q11_RDF
     Q11_ODD
     Q11_ODM
     Q11_ODF
     Q12A
     Q12B
     Q12C
     Q12D
     Q13A
     Q13A_TNS
     Q13B
     Q13B_PRG
     Q13C
     Q13C_IVD
     Q13D
     Q13D_DDC
     Q13E
     Q14A
     Q14B
     Q14C
     Q15_CERT
     Q15A
     Q16_COMP
     Q17A
     Q17B
     Q17C
     Q17D
     Q18_OWN
     Q19A
     Q19B
     Q19C
     Q19D
     Q19E
     Q19F
     Q20A
     Q20B
     Q20C
     Q21_OTHU
     Q22_MULT
     Q23A_1
     Q23A_2
     Q23A_3
     Q23A_4
     Q23A_5
     Q23B_1
     Q23B_2
     Q23B_3
     Q23B_4
     Q23B_5
     Q23C_1
     Q23C_2
     Q23C_3
     CORRFAC
     ALCHONLY
     STRATUM
     REGION
     QA1
     QA1A
     QA2
     QA3
     QA3A
     QA4
     QA4A
     QA5
     QA5A
     QA6
     QA6A
     QB1
     QB1A
     REP_STRA (LO THRU -1) /
     VWGHT
     VWT1
     VWT2
     VWT3
     VWT4
     VWT5
     VWT6
     VWT7
     VWT8
     VWT9
     VWT10
     VWT11
     VWT12
     VWT13
     VWT14
     VWT15
     VWT16
     VWT17
     VWT18
     VWT19
     VWT20
     VWT21
     VWT22
     VWT23
     VWT24
     VWT25
     VWT26
     VWT27
     VWT28
     VWT29
     VWT30 (LO THRU -1.00000) /
   .

EXECUTE.

* Create SPSS system file.

*SAVE OUTFILE="spss-filename.sav".
